Exercices

Développement ObjectARX AutoCAD :
Module de conception de façades (mur Bois/Bloc)

Exercices

Exercices

Evaluez vos connaissances sur AutoCAD :
Questionnaires sur les Xréfs et sur les Blocs.

Exercices Visual Lisp

Comment fonctionne :
   AutoCAD et Visual LISP
   La fenêtre de la console Visual LISP
   Utilisation de l'Automation ActiveX avec des objets AutoCAD
   Utilisation des fonctions Visual LISP avec les méthodes ActiveX
   Lire et mettre à jour des propriétés d'objets
   Attacher des réacteurs à un dessin AutoCAD

Des exercices pratiques pour programmeurs et non-programmeurs s'adressant à l'utilisateur du logiciel AutoCAD qui désire augmenter sa productivité au travail.

Vous apprendrez, étape par étape,

  • Des routines Visual LISP, commentées ligne par ligne pour une compréhension plus facile.
  • La syntaxe des fonctions Visual LISP et la façon de les utiliser.
  • Comment Visual LISP fonctionne avec la base de données graphique d'AutoCAD.
  • A lire et écrire des fichiers Visual LISP.
  • Des méthodes et astuces pour rédiger des programmes Visual LISP.

Ces exercices vous aideront à rédiger des programmes Visual LISP utiles pour

  • Automatiser des tâches répétitives.
  • Dessiner des constructions géométriques.
  • Effectuer des changements globaux à vos dessins.
  • Adapter AutoCAD à vos besoins.

La liberté de modifier les exercices pour les adapter à vos besoins


Ajout et traitement de l'objet LIGNE avec l'Automation ActiveX de Visual LISP.

Fonction : C:CF_RIVET
Description : Demande à l'utilisateur le point d'insertion et la la longueur (L) du rivet, puis dessine dans AutoCAD la pièce ci-dessous (rivet à tête fraisée).

VLA_LIGNE

Utilisation des méthodes, propriétés et fonctions suivantes :

Méthodes Propriétés Fonctions
vla-AddLine vla-get-ActiveDocument vl-load-com
vla-Copy vla-get-ModelSpace vlax-get-acad-object
vla-Move vla-get-Utility vlax-3D-point
vla-Mirror vla-get-StartPoint getpoint
vla-Offset vla-get-EndPoint vlax-safearray-get-element
vla-IntersectWith vla-put-StartPoint vlax-variant-value
vla-InitializeUserInput vla-put-EndPoint  
vla-GetDistance    
vla-PolarPoint    

Chargement de l'application

Arguments : Non
Retourne : Rien
Usage : Au niveau de la ligne de commande d'AutoCAD, Tapez CF_RIVET.

Bouton_telecharger
▲haut de page

Ajout et traitement des objets CERCLE et ARC avec l'Automation ActiveX de Visual LISP.

Fonction : C:CF_PIECE
Description : Demande à l'utilisateur de cliquer un point (centre) et un rayon, puis dessine dans AutoCAD la pièce ci-dessous.

VLA_CERCLE

Utilisation des méthodes, propriétés et fonctions suivantes :

Méthodes Propriétés Fonctions
vla-AddArc vla-get-ActiveDocument vl-load-com
vla-AddCircle vla-get-ModelSpace vlax-get-acad-object
vla-Delete vla-get-Utility vlax-3D-point
vla-Mirror vla-get-StartPoint vlax-safearray-get-element
vla-ArrayPolar vla-get-EndPoint vlax-variant-value
vla-InitializeUserInput   getpoint
vla-GetDistance    
vla-PolarPoint    

Chargement de l'application

Arguments : Non
Retourne : Rien
Usage: Au niveau de la ligne de commande d'AutoCAD, Tapez CF_PIECE

▲haut de page

Ajout et traitement d'une polyligne 2D LWPOLYLINE avec l'Automation ActiveX de Visual LISP.

Fonction : C:CF_JOINT
Description : Demande à l'utilisateur de cliquer un point d'insertion (P0) du joint, puis dessine dans AutoCAD la pièce ci-dessous.

VLA_ADDLWPOLY

Utilisation des méthodes, propriétés et fonctions suivantes :

Méthodes Propriétés Fonctions
vla-AddLightweightPolyline vla-get-ActiveDocument vl-load-com
vla-Offset vla-get-ModelSpace vlax-get-acad-object
vla-SetBulge vla-get-Utility vlax-make-safearray
vla-Update vla-put-Closed vlax-safearray-put-element
vla-InitializeUserInput vla-get-Center vlax-make-variant
vla-AddCircle vla-put-Center getpoint
vla-Copy   getreal
vla-PolarPoint   polar

Chargement de l'application

Arguments : Non
Retourne : Rien
Usage: Au niveau de la ligne de commande d'AutoCAD, Tapez CF_JOINT.

▲haut de page